/*
 * Cay S. Horstmann & Gary Cornell, Core Java
 * Published By Sun Microsystems Press/Prentice-Hall
 * Copyright (C) 1997 Sun Microsystems Inc.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this 
 * software and its documentation for NON-COMMERCIAL purposes
 * and without fee is hereby granted provided that this 
 * copyright notice appears in all copies. 
 * 
 * THE AUTHORS AND PUBLISHER MAKE NO REPRESENTATIONS OR 
 * WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHORS
 * AND PUBLISHER SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING 
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */
 
/**
 * @version 1.00 07 Feb 1996 
 * @author Gary Cornell
 */

import corejava.*;

public class Retirement
{  public static void main(String[] args)
   {  double goal;
      double interest;
      double payment;
      int years = 0;
      double balance = 0;
 
      goal = Console.readDouble
         ("How much money do you need to retire?");
      payment = Console.readDouble
         ("How much money will you contribute every year?");
      interest = Console.readDouble
         ("Interest rate in % (ex: use 7.5 for 7.5%):") / 100; 
         
      while (balance < goal)
      {  balance = (balance + payment) * (1 + interest);
         years++;
      }   

      System.out.println
         ("Your can retire in " + years + " years.");
   }
}    

