/*
 * Cay S. Horstmann & Gary Cornell, Core Java
 * Published By Sun Microsystems Press/Prentice-Hall
 * Copyright (C) 1997 Sun Microsystems Inc.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this 
 * software and its documentation for NON-COMMERCIAL purposes
 * and without fee is hereby granted provided that this 
 * copyright notice appears in all copies. 
 * 
 * THE AUTHORS AND PUBLISHER MAKE NO REPRESENTATIONS OR 
 * WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHORS
 * AND PUBLISHER SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING 
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */
 
/**
 * @version 1.00 07 Feb 1996 
 * @author Cay Horstmann
 */
 
import corejava.*;

public class Calendar
{  public static void main(String[] args)
   {  int m;
      int y;  
      if (args.length == 2)
      {  m = Format.atoi(args[0]);
         y = Format.atoi(args[1]);
      }
      else
      {  Day today = new Day(); // today's date
         m = today.getMonth();
         y = today.getYear();
      }

      Day d = new Day(y, m, 1); // start date of the month

      System.out.println(m + " " + y);
      System.out.println("Sun Mon Tue Wed Thu Fri Sat");
      for( int i = 0; i < d.weekday(); i++ ) 
         System.out.print("    ");
      while (d.getMonth() == m)
      {  if (d.getDay() < 10) System.out.print(" ");
         System.out.print(d.getDay());
         if (d.weekday() == 6) 
            System.out.println("");
         else 
            System.out.print("  ");
         d.advance(1);
      }
      if (d.weekday() != 0) System.out.println("");
   }
}
