/*
 * Cay S. Horstmann & Gary Cornell, Core Java
 * Published By Sun Microsystems Press/Prentice-Hall
 * Copyright (C) 1997 Sun Microsystems Inc.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this 
 * software and its documentation for NON-COMMERCIAL purposes
 * and without fee is hereby granted provided that this 
 * copyright notice appears in all copies. 
 * 
 * THE AUTHORS AND PUBLISHER MAKE NO REPRESENTATIONS OR 
 * WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHORS
 * AND PUBLISHER SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING 
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */
 
/**
 * @version 1.10 27 Apr 1997
 * @author Gary Cornell
 */

import java.util.*;
import java.awt.*;
import java.applet.*;

public class SystemInfoApplet extends Applet
{  public void init()
   {  TextArea ta = new TextArea(40, 40);
      ta.setEditable(false);
      setLayout(new BorderLayout());
      add(ta, "Center");
      Properties systemStuff = System.getProperties();

      Enumeration enum = systemStuff.propertyNames();
      while (enum.hasMoreElements())
      {  String key = (String)enum.nextElement();
         ta.append(key + " value is " +
            systemStuff.getProperty(key) + "\n");
      }
   }
}
