/*
 * Cay S. Horstmann & Gary Cornell, Core Java
 * Published By Sun Microsystems Press/Prentice-Hall
 * Copyright (C) 1997 Sun Microsystems Inc.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this 
 * software and its documentation for NON-COMMERCIAL purposes
 * and without fee is hereby granted provided that this 
 * copyright notice appears in all copies. 
 * 
 * THE AUTHORS AND PUBLISHER MAKE NO REPRESENTATIONS OR 
 * WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHORS
 * AND PUBLISHER SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING 
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */
 
/**
 * @version 1.10 27 Apr 1997
 * @author Cay Horstmann
 */

import java.awt.*;
import corejava.*;

public class BorderLayoutTest extends CloseableFrame
{  public BorderLayoutTest()
   {  Panel p = new Panel();
      p.setLayout(new FlowLayout(FlowLayout.LEFT));
      p.add(new Button("Left"));
      p.add(new Button("Right"));
      p.add(new Button("Up"));      
      p.add(new Button("Down"));
      p.add(new Button("Close"));
      add(p, "North");      
      add(new Scrollbar(Scrollbar.VERTICAL), "East");
      add(new Scrollbar(Scrollbar.HORIZONTAL), "South");
   }
   
   public static void main(String[] args)
   {  Frame f = new BorderLayoutTest();
      f.show();  
   }
}


